### Method

# Foundry Context dup_service_typed

#### Declaration [src]

    FoundryService*
    foundry_context_dup_service_typed (
      FoundryContext* self,
      GType service_type
    )

#### Description

No description available.

#### Parameters

`service_type`

  Type: `GType`

  No description available.

#### Return value

Type: `FoundryService`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.